﻿@using SportsClub.Areas.Dashboard.Models
@model SchoolSettingOnSiteInfoViewModel
@{
    Layout = null;
}

<style>

</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SchoolSetting'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                On-Site information
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <div>

                <label>School start time</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.SchoolStartTime)" k-options="MC.timePickerOptions5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="School start time">
                </div>
                <div class="clearfix"></div>
                <label>School dismissal time</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.SchoolDismissalTime)" k-options="MC.timePickerOptions5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="School dismissal time">
                </div>
                <div class="clearfix"></div>
                <label>Enrichment start time (AM)</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.EnrichmentStartTimeAM)" k-options="MC.timePickerOptionsAM" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Enrichment start time (AM)">
                </div>
                <div class="clearfix"></div>
                <label>Enrichment start time (PM)</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.EnrichmentStartTimePM)" k-options="MC.timePickerOptionsPM" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Enrichment start time (PM)">
                </div>
                <div class="clearfix"></div>
                <label>Instructor arrival time (AM)</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.InstructorArrivalTimeAM)" k-options="MC.timePickerOptionsAM" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Instructor arrival time (AM)">
                </div>
                <div class="clearfix"></div>
                <label>Instructor arrival time (PM)</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.InstructorArrivalTimePM)" k-options="MC.timePickerOptionsPM" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Instructor arrival time (PM)">
                </div>
                <div class="clearfix"></div>

                <label>Early release day</label>
                <div class="input-control choosen" data-role="input-control">
                    <div>

                        <select chosen ng-model="@Html.Ang(m => m.SelectedEarlyReleaseDay)"
                                name="schoolType" data-placeholder="Select early release day"
                                ng-options="obj.Value as obj.Text for obj in Model.DaysOfWeek"></select>
                    </div>

                </div>
                <div class="clearfix"></div>

                <label>Early release time</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.EarlyReleaseTime)" k-options="MC.timePickerOptions5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Early release time">
                </div>
                <div class="clearfix"></div>


                <fieldset>
                    <legend>Spaces available</legend>

                    <label>
                        Indoor
                    </label>
                    <div>
                        <div class="one-half place-left padding-left20" ng-repeat="spaceRequirement in Model.SpaceRequirements  | filter: {Type: 'Indoor'}">
                            <label>
                                <input ng-model="spaceRequirement.IsChecked" type="checkbox">
                                <span class="check"></span>
                                <span>
                                    {{spaceRequirement.Title}}
                                </span>
                            </label>
                        </div>
                    </div>

                    <div class="clearfix"></div>

                    <label>
                        Outdoor
                    </label>
                    <div>
                        <div class="one-half place-left padding-left20 full-width" ng-repeat="spaceRequirement in Model.SpaceRequirements  | filter: {Type: 'Outdoor'}">
                            <label class="place-left">
                                <input ng-model="spaceRequirement.IsChecked" type="checkbox">
                                <span class="check"></span>
                                <span>
                                    {{spaceRequirement.Title}}
                                </span>

                            </label>
                        </div>
                    </div>

                </fieldset>
                <div class="clearfix"></div>
                <label>Permit responsibility</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.PermitResponsibility)"></textarea>
                </div>
                <div class="clearfix"></div>
                <label>Standard dismissal options</label>
                <div class="input-control choosen" data-role="input-control">
                    <div>

                        <select chosen multiple ng-model="@Html.Ang(m => m.SelectedDismissalOption)"
                                name="schoolType" data-placeholder="Select standard dismissal option"
                                ng-options="obj.Value as obj.Text for obj in Model.ListOfDismissalOption"></select>
                    </div>

                </div>
                <div class="clearfix"></div>
               
                <label>On-Site cancellation contact</label>
               
                <div class="input-control text" data-role="input-control" >
                    <input class="k-textbox"  ng-model="@Html.Ang( m => m.OnSiteCancellationContact)"  />
                </div>
                <div class="clearfix"></div>
                <label>Parking for providers</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.ParkingForProviders)"></textarea>
                </div>
                <div class="clearfix"></div>
                <label>Check-in procedures for instructors</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.CheckInProceduresForInstructors)"></textarea>
                </div>

                <div class="clearfix"></div>
                <label>Transition instructions</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.TransitionInstructions)"></textarea>
                </div>
                <div class="clearfix"></div>
                <label>Attendance procedure</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.AttendanceProcedure)"></textarea>
                </div>


                <div class="clearfix"></div>
                <label>Enrichment dismissal options</label>
                <div class="input-control choosen" data-role="input-control">
                    <div>

                        <select chosen multiple ng-model="@Html.Ang(m => m.SelectedEnrichmentDismissalOption)"
                                name="schoolType" data-placeholder="Select enrichment dismissal option"
                                ng-options="obj.Value as obj.Text for obj in Model.ListOfDismissalOption"></select>
                    </div>

                </div>

                <div class="clearfix"></div>
                <label>Enrichment dismissal instructions</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.EnrichmentDismissalInstructions)"></textarea>
                </div>
                <div class="clearfix"></div>
                <label>Late pick-up policy</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.LatePickUpPolicy)"></textarea>
                </div>
                <div class="clearfix"></div>
                <label>Title 1</label>

                <div class="input-control text" data-role="input-control">
                    <input class="k-textbox" ng-model="@Html.Ang( m => m.Title)" />
                </div>
                <div class="clearfix"></div>
                <label>Note</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.Note)"></textarea>
                </div>

                <div class="clearfix"></div>

                
            </div>
        </fieldset>


        <div class="clearfix"></div>
        <hr />
        <button ngaction="SchoolSetting_OnSiteInfo_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SchoolSetting'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>